Get file by ID
curl --request GET \
--url https://app.sajn.se/api/v1/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/files/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"size": 123,
"visibility": "PRIVATE",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"uploadedBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}Files
Get file by ID
Retrieve file information and access URL.
URL Generation:
- For
PRIVATEfiles: Returns a fresh signed URL (valid for 60 minutes) - For
PUBLICfiles: Returns the permanent CloudFront URL
Response includes:
- File metadata (filename, size, MIME type)
- Visibility setting
- Access URL
- Upload information
GET
/
api
/
v1
/
files
/
{id}
Get file by ID
Authorizations
oauth2bearerAuth
OAuth 2.0 access token for a connected application. Limited to the scopes granted at consent.
Headers
Bearer token for API authentication
Path Parameters
Response
File information with access URL
File information with access URL
Unique file identifier
Original filename
MIME type of the file
File size in bytes
File visibility
Available options:
PRIVATE, PUBLIC URL to access the file (signed URL for private, direct URL for public)
Date and time when file was uploaded
Date and time when file was last updated
User who uploaded the file
Show child attributes
Show child attributes
Was this page helpful?

